/*
 * Copyright 2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.myfaces.renderkit.html;



/**
 * @author Thomas Spiegl (latest modification by $Author: matze $)
 * @version $Revision: 1.22 $ $Date: 2004/10/13 11:51:00 $
 * $Log: HtmlTableRenderer.java,v $
 * Revision 1.22  2004/10/13 11:51:00  matze
 * renamed packages to org.apache
 *
 * Revision 1.21  2004/08/19 16:21:23  manolito
 * Moved functionality to HtmlTableRendererBase
 *
 * Revision 1.20  2004/08/09 08:01:08  manolito
 * bug #1004896 - id attribute not rendered
 *
 * Revision 1.19  2004/07/01 22:05:06  mwessendorf
 * ASF switch
 *
 * Revision 1.18  2004/06/22 15:26:04  prophecyslides
 * headerClass does not apply to the <tr> in spec, so removed it.
 *
 * Revision 1.17  2004/06/21 23:12:46  prophecyslides
 * headerClass style propogates to the <th> elements, not just the <tr>
 *
 * Revision 1.16  2004/06/21 10:57:59  manolito
 * missing CVS Log keyword
 *
 */
public class HtmlTableRenderer
    extends HtmlTableRendererBase
{
    //private static final Log log = LogFactory.getLog(HtmlTableRenderer.class);

}
